.finalizarCompra {
  text-decoration: none;
  color: black;
}

.finalizarCompra:hover {
  color: white;
}

.navYLogo_Productos {
  display: flex;
  justify-content: space-between;
  height: auto;
}

.navYLogo_Productos .logo {
  width: 8rem;
  height: auto;
  transition: all 0.6s;
}

.navYLogo_Productos .logo:hover {
  transform: scale(1.1);
}

.navYLogo_Productos .menu__navegacion {
  height: 2rem;
}

.navYLogo_Productos .menu__navegacion ul {
  display: flex;
  justify-content: flex-end;
}

.navYLogo_Productos .menu__navegacion ul li {
  list-style: none;
  margin: 3rem 1rem;
}

.navYLogo_Productos .menu__navegacion ul li .botonCarrito {
  padding: 0;
}

.navYLogo_Productos .menu__navegacion ul li .carritoDeCompras:hover,
.navYLogo_Productos .menu__navegacion ul li .ingresoAdmin:hover {
  cursor: pointer;
  transform: scale(1.2);
}

.navYLogo_Productos .menu__navegacion ul li a {
  text-decoration: none;
  font-size: 1.3rem;
  color: black;
  transition: all 0.7s;
}

.navYLogo_Productos .menu__navegacion ul li a:hover {
  padding: 8px;
  border-radius: 2px;
  color: #048600;
  font-size: 1.5rem;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end {
  width: 500px;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body {
  padding: 0;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .imgCarrito {
  width: 4.5rem;
  border: 1px solid #d5fdc5;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .basureroCarrito {
  width: 30px;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .basureroCarrito:hover {
  transform: scale(1.1);
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito {
  display: flex;
  width: 100%;
  justify-content: space-between;
  border-top: 1px solid black;
  position: sticky;
  bottom: 0;
  background-color: white;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito .cantidadProductos {
  display: flex;
  flex-direction: column;
  background-color: #e4e4e4;
  padding: 0 0.5rem 0 0.5rem;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito .cantidadProductos h5 {
  font-size: 1rem;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito .cantidadProductos p {
  align-self: center;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito .totalAPagar {
  display: flex;
  flex-direction: column;
  background-color: #e4e4e4;
  padding: 0 1rem 0 1rem;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito .totalAPagar h5 {
  font-size: 1.2rem;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito .totalAPagar p {
  align-self: center;
}

.navYLogo_Productos .menu__navegacion .offcanvas-end .offcanvas-body .infoCarrito .botonFinalizar {
  height: 2.5rem;
  align-self: center;
}

.navYLogo_Productos .menu__navegacion .modal_Admin .accesoConcedido {
  text-align: center;
  font-size: 1.5rem;
  font-weight: bold;
}

.navYLogo_Productos .menu__navegacion .modal_Admin p {
  text-align: center;
}

.navYLogo_Productos .menu__navegacion .modal_Admin div {
  display: flex;
  justify-content: center;
  margin: 2rem;
}

.navYLogo_Productos .menu__navegacion .modal_Admin div img {
  transform: scale(1.3);
  background-color: #c9c9c9;
  margin-right: 2.3px;
}

.h1_Productos {
  background-color: #f8f8f8;
  height: 5rem;
}

.cards_productos {
  display: flex;
  flex-wrap: wrap;
}

.cards_productos .card {
  margin: 1rem;
  display: flex;
}

.cards_productos .card .card-img-top {
  width: auto;
  height: 15rem;
  justify-self: center;
}

.menu_Lateral {
  margin-right: 3rem;
}

.menu_Lateral ul li {
  list-style: none;
}

.menu_Lateral ul li a {
  color: black;
}

.bodyWiki {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.bodyWiki .contenedorWikiDog {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  border: 1px solid black;
  width: 80%;
}

.bodyWiki .contenedorWikiDog .tituloWiki {
  width: 100%;
  display: flex;
  justify-content: center;
  align-content: center;
  padding: 20px;
  border-bottom: 1px solid black;
}

.bodyWiki .contenedorWikiDog #banner-message {
  background: #fff;
  border-radius: 4px;
  padding: 20px;
  font-size: 25px;
  text-align: center;
  transition: all 0.2s;
  margin: 0 auto;
  width: 500px;
}

.bodyWiki .contenedorWikiDog #breed_data {
  border-radius: 4px;
  padding: 20px;
  font-size: 12px;
  text-align: left;
  transition: all 0.2s;
  margin: 0 auto;
  width: 500px;
}

.bodyWiki .contenedorWikiDog #breed_image {
  background: #fff;
  margin: 10px auto 0 auto;
  width: 460px;
}

.bodyWiki .contenedorWikiDog #breed_data {
  align-self: center;
}

.bodyWiki .contenedorWikiDog #breed_data_table {
  display: flex;
  flex-direction: column;
}

.bodyWiki .contenedorWikiDog #breed_data_table .tituloDeTabla {
  font-size: 1.5rem;
  display: flex;
  justify-content: center;
  color: black;
}

.contenedorPadreFinalizar {
  display: flex;
  justify-content: space-between;
}

.contenedorPadreFinalizar .formularioFinalizarCompra {
  display: flex;
  flex-direction: column;
}

.contenedorPadreFinalizar .formularioFinalizarCompra input {
  width: 15rem;
  margin: 0.2rem;
}

.contenedorPadreFinalizar .productoEnCarrito {
  height: 30rem;
  overflow-y: scroll;
  position: fixed;
  top: 10px;
  right: 10px;
}

.contenedorPadreFinalizar .productoEnCarrito .imgCarrito {
  width: 4.5rem;
  border: 1px solid #d5fdc5;
}

.contenedorPadreFinalizar .productoEnCarrito table {
  background-color: black;
}

.contenedorPadreFinalizar .productoEnCarrito .infoCarrito {
  display: flex;
  width: 100%;
  justify-content: space-between;
  border-top: 1px solid black;
  position: sticky;
  bottom: 0;
  background-color: white;
}

.contenedorPadreFinalizar .productoEnCarrito .infoCarrito .cantidadProductos {
  display: flex;
  flex-direction: column;
  background-color: #e4e4e4;
  padding: 0 0.5rem 0 0.5rem;
}

.contenedorPadreFinalizar .productoEnCarrito .infoCarrito .cantidadProductos h5 {
  font-size: 1rem;
}

.contenedorPadreFinalizar .productoEnCarrito .infoCarrito .cantidadProductos p {
  align-self: center;
}

.contenedorPadreFinalizar .productoEnCarrito .infoCarrito .totalAPagar {
  display: flex;
  flex-direction: column;
  background-color: #e4e4e4;
  padding: 0 1rem 0 1rem;
}

.contenedorPadreFinalizar .productoEnCarrito .infoCarrito .totalAPagar h5 {
  font-size: 1.2rem;
}

.contenedorPadreFinalizar .productoEnCarrito .infoCarrito .totalAPagar p {
  align-self: center;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.navYLogo {
  display: flex;
  justify-content: space-between;
  height: auto;
  position: sticky;
}

.navYLogo .logo {
  width: 8rem;
  height: auto;
  filter: grayscale(90%);
  transition: all 0.6s;
}

.navYLogo .logo:hover {
  filter: none;
  transform: scale(1.1);
}

.navYLogo .menu__navegacion {
  height: 2rem;
}

.navYLogo .menu__navegacion ul {
  display: flex;
  justify-content: flex-end;
}

.navYLogo .menu__navegacion ul li {
  list-style: none;
  margin: 3rem 1rem;
}

.navYLogo .menu__navegacion ul li a {
  text-decoration: none;
  font-size: 1.3rem;
  color: #048600;
  transition: all 0.7s;
}

.navYLogo .menu__navegacion ul li a:hover {
  padding: 8px;
  border-radius: 2px;
  color: #048600;
  font-size: 1.5rem;
}

.imagen__Header {
  background: url(../images/FullHD.jpg) no-repeat top;
  background-size: 100% 100%;
  width: auto;
  height: 100vh;
}

footer {
  background-image: linear-gradient(#048600, #042A00);
  display: flex;
}

footer iframe {
  margin: 1rem;
}

footer .redes_Sociales {
  display: flex;
  align-self: flex-end;
  flex-direction: column;
}

footer .redes_Sociales a {
  text-decoration: none;
  color: black;
  font-size: 1.3rem;
}
